<?php include_once('includes/header.php'); ?>

<?php include_once('includes/sidebar.php'); ?>

<?php include_once('includes/navbar.php'); ?>

<?php 
	  //Total Subscribers
	  $stmt = $conn->prepare("SELECT * FROM users");
	  $stmt->execute();
	  $users = $stmt->rowCount();

	  //Verified Subscribers
	  $stmt = $conn->prepare("SELECT * FROM users WHERE user_status = 1");
	  $stmt->execute();
	  $active = $stmt->rowCount();

	  //Pending Subscribers
	  $stmt = $conn->prepare("SELECT * FROM users WHERE user_status = 0");
	  $stmt->execute();
	  $disabled = $stmt->rowCount(); 
?>

<main class="content">
	<div class="container-fluid p-0">

		<h1 class="h3 mb-3"><strong>Admin</strong> Dashboard</h1>

		<div class="row">
			<div class="col-xl-6 col-xxl-5 d-flex">
				<div class="w-100">
					<div class="row">
						<div class="col-sm-6">
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col mt-0">
											<h5 class="card-title">Users</h5>
										</div>

										<div class="col-auto">
											<div class="stat text-primary">
												<i class="align-middle" data-feather="users"></i>
											</div>
										</div>
									</div>
									<h1 class="mt-1 mb-3"><?php echo clean($users); ?></h1>
									<div class="mb-0">
										<span class="text-muted">Total Users</span>
									</div>
								</div>
							</div>
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col mt-0">
											<h5 class="card-title">Disabled</h5>
										</div>

										<div class="col-auto">
											<div class="stat text-primary">
												<i class="align-middle" data-feather="user-x"></i>
											</div>
										</div>
									</div>
									<h1 class="mt-1 mb-3"><?php echo clean($disabled); ?></h1>
									<div class="mb-0">
										<span class="text-success">
										<span class="text-muted">Disabled Users</span>
									</div>
								</div>
							</div>
							
						</div>
						<div class="col-sm-6">
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col mt-0">
											<h5 class="card-title">Active</h5>
										</div>

										<div class="col-auto">
											<div class="stat text-primary">
												<i class="align-middle" data-feather="user-check"></i>
											</div>
										</div>
									</div>
									<h1 class="mt-1 mb-3"><?php echo clean($active); ?></h1>
									<div class="mb-0">
										<span class="text-success">
										<span class="text-muted">Active Users</span>
									</div>
								</div>
							</div>
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col mt-0">
											<h5 class="card-title">Next</h5>
										</div>

										<div class="col-auto">
											<div class="stat text-primary">
												<i class="align-middle" data-feather="help-circle"></i>
											</div>
										</div>
									</div>
									<h1 class="mt-1 mb-3">What Next</h1>
									<div class="mb-0">
										<span class="text-danger">
										<span class="text-muted">What next in your mind?</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="col-xl-6 col-xxl-7">
				<div class="card flex-fill w-100">
					<div class="card-header">

						<h5 class="card-title mb-0">Recent Movement</h5>
					</div>
					<div class="card-body py-3">
						<div class="chart chart-sm">
							<canvas id="chartjs-dashboard-line"></canvas>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-12 col-md-6 col-xxl-3 d-flex order-2 order-xxl-3">
				<div class="card flex-fill w-100">
					<div class="card-header">

						<h5 class="card-title mb-0">Active VS Disabled</h5>
					</div>
					<div class="card-body d-flex">
						<div class="align-self-center w-100">
							<div class="py-3">
								<div class="chart chart-xs">
									<canvas id="chartjs-dashboard-pie"></canvas>
								</div>
							</div>

							<table class="table mb-0">
								<tbody>
									<tr>
										<td>Active </td>
										<td class="text-end"><?php echo clean($active); ?></td>
									</tr>
									<tr>
										<td>Disabled</td>
										<td class="text-end"><?php echo clean($disabled); ?></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
	
		</div>



	</div>
</main>

<?php include_once('includes/footer.php'); ?>
<script>
	document.addEventListener("DOMContentLoaded", function() {
		"use strict";
			// Pie chart
		new Chart(document.getElementById("chartjs-dashboard-pie"), {
				type: "pie",
				data: {
					labels: ["Active", "Disabled"],
					datasets: [{
						data: [<?php echo clean($active); ?>, <?php echo clean($disabled); ?>],
						backgroundColor: [
						window.theme.primary,
						window.theme.warning,
						window.theme.danger
						],
						borderWidth: 5
					}]
				},
			options: {
				responsive: !window.MSInputMethodContext,
				maintainAspectRatio: false,
				legend: {
					display: false
				},
				cutoutPercentage: 75
			}
		});
	});
</script>
<?php 
		$stmt =  $conn->prepare("SELECT count(*) as total, MONTHNAME(user_date_created) as month FROM users GROUP BY MONTH(user_date_created), month");
		$stmt->execute();
	  	$users = $stmt->fetchAll(PDO::FETCH_ASSOC);
	 
	  	//print_r($users);
	  	$month = array();
	  	$total = array();
	  	foreach ($users as $key => $value) {
	  		$month[] = $value['month'];
	  		$total[] = $value['total'];
	  	}
	  	$month = "'".implode("','", $month)."'";
	  	$total = implode(', ', $total);
	  	define('MONTHS', $month);
 ?>
<script>

	document.addEventListener("DOMContentLoaded", function() {
		"use strict";
		var ctx = document.getElementById("chartjs-dashboard-line").getContext("2d");
		var gradient = ctx.createLinearGradient(0, 0, 0, 225);
		gradient.addColorStop(0, "rgba(215, 227, 244, 1)");
		gradient.addColorStop(1, "rgba(215, 227, 244, 0)");
		// Line chart
		new Chart(document.getElementById("chartjs-dashboard-line"), {
			type: "line",
			data: {
				labels: [<?php echo MONTHS; ?>],
				datasets: [{
					label: "Users",
					fill: true,
					backgroundColor: gradient,
					borderColor: window.theme.primary,
					data: [<?php echo clean($total); ?>]
				}]
			},
			options: {
				maintainAspectRatio: false,
				legend: {
					display: false
				},
				tooltips: {
					intersect: false
				},
				hover: {
					intersect: true
				},
				plugins: {
					filler: {
						propagate: false
					}
				},
				scales: {
					xAxes: [{
						reverse: true,
						gridLines: {
							color: "rgba(0,0,0,0.0)"
						}
					}],
					yAxes: [{
						ticks: {
							stepSize: 1000
						},
						display: true,
						borderDash: [3, 3],
						gridLines: {
							color: "rgba(0,0,0,0.0)"
						}
					}]
				}
			}
		});
	});
</script>