<?php $page = "Posts"; ?>
<?php include_once('includes/header.php'); ?>
<?php include_once('includes/sidebar.php'); ?>
<?php include_once('includes/navbar.php'); ?>
<?php
	if(isset($_GET['delete']) AND is_numeric($_GET['delete']))
	{
	// Check the id is valid or not
	  $statement = $conn->prepare("SELECT * FROM posts WHERE post_id=?");
	  $statement->execute(array($_GET['delete']));
	  $total = $statement->rowCount();
	  if( $total == 0) {
	    header('location: logout.php');
	    exit;
	  }else{

	  	$result = $statement->fetch(PDO::FETCH_ASSOC);
	  	if($result['post_image'] != '' AND $result['post_image'] != 'default.png') {
	      unlink('uploads/posts/'.$result['post_image']); 
	    }	
	    // Delete from Users Table
	    $statement = $conn->prepare("DELETE FROM posts WHERE post_id=?");
	    $statement->execute(array($_GET['delete']));
	    $_SESSION['success'] = 'Post has been deleted';
	    header('location: posts.php');
	    exit(0);
	  }
	}
?>
<main class="content">
	<div class="container-fluid p-0">
		<div class="row">
			<div class="col-md-6">
				<h1 class="h3 mb-3"><strong>All</strong> Posts</h1>
			</div>
			<div class="col-md-6 text-md-end">
				<a href="add-post.php" class="btn btn-pill btn-primary float-right"><i class="align-middle" data-feather="plus"></i> Add Post</a>
			</div>
		</div>
		<div class="card">
			<div class="card-body">
				<table class="table table-striped table-hover">
					<thead>
						<tr>
							<th>Title</th>
							<th>Category</th>
							<th>Status</th>
							<th>Date Created</th>
							<th>Actions</th>
						</tr>
					</thead>
					<tbody>
						<?php
			                $i=1;
			                $statement = $conn->prepare('SELECT posts.*, post_categories.category_name
			                	FROM posts
			                	INNER JOIN
			                	post_categories ON posts.post_category = post_categories.category_id 
			                	ORDER BY posts.post_id DESC');
			                $statement->execute();
			                $posts = $statement->fetchAll(PDO::FETCH_ASSOC);
			                $sNo  = 1;
			                foreach ($posts as $post) {
			            ?>
							<tr>
								<td>
									<img src="uploads/posts/<?php echo clean($post['post_image']); ?>" width="48" height="48" class="rounded-circle me-2" alt="Avatar"> <?php echo clean($post['post_title']); ?>
								</td>
								<td><?php echo clean($post['category_name']); ?></td>
								<td><?php echo ($post['post_status'] == 1) ? "<span class='badge bg-primary me-1 my-1'>Active</span>" : "<span class='badge bg-danger me-1 my-1'>Disabled <span>"; ?></td>
								<td><?php echo date("M d, Y", strtotime($post['post_date_created'])); ?></td>
								<td>
									<a href="edit-post.php?edit=<?php echo clean($post['post_id']); ?>"><i class="align-middle" data-feather="edit-2"></i></a>
									<a href="#" data-href="posts.php?delete=<?php echo clean($post['post_id']); ?>" data-bs-toggle="modal" data-bs-target="#confirm-delete"><i class="align-middle" data-feather="trash" ></i></a>
								</td>
							</tr>
						<?php } ?>
					</tbody>
				</table>
			</div>
		</div>
	</main>
<!-- BEGIN primary modal -->
<div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Delete Post</h5>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>
			<div class="modal-body m-3">
				<p class="mb-0">Are you sure to delete this post?</p>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
				<a class="btn btn-primary">Delete Post</a>
			</div>
		</div>
	</div>
</div>
<!-- END primary modal -->
<?php include_once('includes/footer.php'); ?>