<?php $page = "Reset Password"; ?>
<?php 
  if( !isset($_GET['email']) || !isset($_GET['token']) )
    {
        header('location: index.php');
        exit;
    }
?>
<?php
    if(!session_start()){
      session_start();
    }
    session_regenerate_id(true);
    include("db-config.php");
    include("functions.php");

    if(isset($_SESSION['user'])) {
      header('location: dashboard.php');
      exit;
    } 
?>
<?php 
      $statement = $conn->prepare("SELECT * FROM users WHERE email=? AND reg_token=?");
      $statement->execute(array($_GET['email'],$_GET['token']));
      $result = $statement->fetchAll(PDO::FETCH_ASSOC);
      $total = $statement->rowCount();
      if($total == 0)
      {
          header('location: index.php');
          exit;
      }
      foreach ($result as $row) {
          $saved_time = $row['token_time'];
      }
      if(time() - $saved_time > 86400)
      {
          $error = 'The password reset email time (24 hours) <br>has expired. Please try again to reset your password.';
      }
 ?>
<?php 
      $statement = $conn->prepare("SELECT * FROM site_settings");
      $statement->execute();
      $result = $statement->fetch(PDO::FETCH_ASSOC);
      extract($result); 
?>
<?php
    if(isset($_POST['submit'])) {

      $valid = 1;

      $password         = clean($_POST['password']);
      $confirm_password = clean($_POST['confirm_password']);
      $password_hash    = password_hash($password, PASSWORD_DEFAULT);

      if(empty($password)) {
          $errors[] = 'Password can not be empty';
          $valid = 0;
        }else if(!empty($password)){
          if(strlen($password) < 4){
              $valid    = 0;
              $errors[] = "Password must be atleast 4 characters";
            }
        }

        if(empty($confirm_password)) {
          $errors[] = 'Conform password can not be empty';
          $valid = 0;
        }

        if($password != $confirm_password){
          $valid    = 0;
          $errors[] = 'Password and Verify Password are not same';
        }
            
    if($valid == 1) {

        $statement = $conn->prepare("UPDATE users SET user_password=?, reg_token=?, token_time=? WHERE email=?");
        $statement->execute(array($password_hash,'','',$_GET['email']));

        $_SESSION['success'] = "Your password has been reset sucessfully. You can Login now!";
        
        header('location: index.php');
        exit;
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Ready to use PHP Admin Panel for projects">
  <meta name="author" content="amiriqbalmcs">
  <meta name="keywords" content="bootstrap, bootstrap 5, admin, dashboard, php">

  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link rel="shortcut icon" href="img/icons/icon-48x48.png" />

  <title><?php if(isset($page)){echo clean($page) . " | Admin | Dashboard";}else{echo "Admin | Dashboard";} ?></title>

  <link href="assets/css/app.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet">
  <link href="assets/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>
<body>
  <main class="d-flex w-100">
    <div class="container d-flex flex-column">
      <div class="row vh-100">
        <div class="col-sm-10 col-md-8 col-lg-4 mx-auto d-table h-100">
          <div class="d-table-cell align-middle">
            <div class="text-center mt-4">
              <h1 class="h2">Reset Password</h1>
              <p class="lead">
                Enter your new password to continue
              </p>
            </div>
            <div class="card">
              <div class="card-body">
                
                <?php if(isset($error)): ?>
                  <div class="alert alert-primary alert-dismissible" role="alert">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <div class="alert-message">
                      <?php echo clean($error); ?>
                    </div>
                  </div>
                <?php endif; ?>
                    
                <?php if(isset($success)): ?>
                    <div class="alert alert-success alert-dismissible" role="alert">
                      <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                      <div class="alert-message">
                          <?php echoclean($success); ?>
                       </div>
                    </div>
                <?php endif; ?>

                <div class="m-sm-4">
                  <div class="text-center">
                    <img src="uploads/logo/<?php echo clean($site_logo); ?>" alt="Site Logo" class="img-fluid rounded-circle" width="132" height="132" />
                  </div>
                  <form action="" method="POST">
                    <div class="mb-3">
                      <label class="form-label">Password</label>
                      <input class="form-control form-control-lg" type="password" name="password" placeholder="Enter password" required="required"/>
                    </div>
                    <div class="mb-3">
                      <label class="form-label">Confirm Password</label>
                      <input class="form-control form-control-lg" type="password" name="confirm_password" placeholder="Enter confirm password" required="required"/>
                    </div>
                    <div>
                    </div>
                    <div class="text-center mt-3">
                      <button type="submit" name="submit" class="btn btn-lg btn-primary">Submit</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/app.js"></script>
  <script src="assets/plugins/toastr/toastr.min.js"></script>
  <?php include_once('includes/notifications.php'); ?>
</body>
</html>